﻿@model  Select2FuncionariosViewModel

    <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")">
        <label for="input-text-1">
            <strong class="strong-min-tgv">Matrícula:</strong>
        </label>
        <div class="mdl-textfield mdl-js-textfield">
            <input class="mdl-textfield__input numerico select2fnc" id="@Model.idControleInput" name="@Model.idControleInput" type="text" maximo="8">
            <label class="mdl-textfield__label" for="@Model.idControleInput"></label>
        </div>
        @*<input id="@Model.idControleInput" type="text" class="form-control numeric"  maxlength="8">*@
    </div>

    <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-4")">
        <label for="input-text-1">
            <strong class="strong-min-tgv">Nome:</strong>
        </label>
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>


<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2Funcionarios/ObterDescricoesFuncionarios")';
                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMFNC";
                textoInicial = "Digite um Funcionário";
                jsonTexto = "NOMFNC";
                jsonValor = "CODFNC";
                caracteresMinimos = 3;
            }
            inicializar(null);
        }

        $("#@Model.idControleInput").change(function () {
            if ($(this).val().trim().length > 0) {
                //
                with (new ComponenteAJAXFactory()) {
                    with (modelo) {
                        ajaxSuccessCallbackMethod = function (data) {
                            var bEach = false;
                            $(data).each(function (idx, dat) {
                                bEach = true;
                                $("#@Model.idControleSelect2").select2("trigger", "select", {
                                    data: { id: dat.CODFNC, text: dat.NOMFNC }
                                });
                                return;
                            });
                            if (!bEach) {
                                swal('Valida!', 'Funcionário não encontrado!');
                                setCustomIcon('fa fa-window-close');
                                $("#@Model.idControleInput").val('');
                                $("#@Model.idControleSelect2").empty().change();
                            }
                        };
                        ajaxURL = '@Url.Content("~/api/Select2Funcionarios/ObterCodigosFuncionarios")';
                        async = true;
                        with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleInput", nomeJsonEnviar = "CODFNC", tipoJsonEnviar = 'tipoNumerico' };
                    }
                    inicializar(null);
                }
            }
        });
    });

</script>
